Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000714Core InformReleasing, bibliographic data, cBlorbpublic2011-08-05 16:422014-05-07 07:34
Reporterapollonia 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000714: Republishing an existing zcode game fails with 6G60 and 6F95
DescriptionThe inform-6.32-biplatform compiler (built into these versions of Inform 7) is unable to compile the auto.inf code generated by Inform 7. The following error is reported:

==== Begin Error Log Extract ====
File "/Users/alan/Documents/Development/MyProjects/Inform 7 Repackaging Bug/Test.inform/Build/auto.inf"; Line 9318 # Error: Expected directive, '[' or class name but found VPH_Class
> VPH_Class
File "/Users/alan/Documents/Development/MyProjects/Inform 7 Repackaging Bug/Test.inform/Build/auto.inf"; Line 9315 # Error: No such constant as "VPH_Class"
File "/Users/alan/Documents/Development/MyProjects/Inform 7 Repackaging Bug/Test.inform/Build/auto.inf"; Line 9317 # Error: No such constant as "ValuePropertyHolder_39"
Compiled with 3 errors and 1397 suppressed warnings (no output)
===== End Error Log Extract =====

These are the offending lines:

==== Begin auto.inf Extract ====
[9315]Array Map_Storage -->
[9316] 0 0 0 0Class VPH_Class;
[9317]Array KOV_representatives --> 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 ValuePropertyHolder_39 0 0 0 0 ;
[9318]VPH_Class ValuePropertyHolder_39
[9319] with value_range 1
[9320] with p54_recurring KOVP_39_P54
[9321] with description KOVP_39_P6
[9322];
==== Begin auto.inf Extract ====

with lines 9315 and 9316 looking like the problem.

Minimal Source Text To Reproduce
"Test" by Alan

Release along with an existing story file.
Additional InformationThe minimal source above was matched with a minimal 1 room test game "Story.z8" in the appropriate "Materials" folder.
TagsNo tags attached.
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships

-  Notes
(0001336)
graham (administrator)
2011-10-08 07:25

Yes, it looks as if nobody has tried repackaging old I6 story files for a while; but the feature remains part of Inform, and this was a bug. Fixed; I'm now the proud possessor of a blorbed copy of Leather Goddesses of Phobos, Solid Gold edition.

- Issue History
Date Modified Username Field Change
2011-08-05 16:42 apollonia New Issue
2011-08-13 13:46 EmacsUser Effect (serious/mild) Game compiles but misbehaves => (critical) Inform 6 compiler reports errors for valid code
2011-08-13 13:46 EmacsUser Severity serious => critical
2011-08-13 13:46 EmacsUser Status new => confirmed
2011-10-08 07:25 graham Note Added: 0001336
2011-10-08 07:25 graham Status confirmed => resolved
2011-10-08 07:25 graham Resolution open => fixed
2011-10-08 07:26 graham Assigned To => graham
2011-12-10 16:34 ChristianB Issue Monitored: ChristianB
2011-12-10 16:34 ChristianB Issue End Monitor: ChristianB
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker